About the Help Viewer

These related topics describe most of the general features available in the Help Viewer.


Using the HTML Help Viewer

Using HTML Help Viewer

By default, the help will appear in a window with three panes:

  • On the left side of the window is the Navigation pane. It contains four navigational tabs: the Contents tab, the Index tab, the Search tab, and the Favorites tab.
  • On the right side of the window is the Topic pane. It displays the selected help topic, or the default help topic.
  • The third pane is the toolbar, which is located below the help window title bar.

Display a screen shot of the HTML Help Viewer


Getting more out of help

Here are some tips on how to find more information when using the HTML Help Viewer:

  • To link to another topic, a Web page, a list of other topics, or a program, click the colored, underlined words.
  • To view topics that contain related information, click the words, "Related Topics," which may appear at the end of a topic, and then click the title of the topic you want.
  • To see if a word or phrase contained in a topic is in the index, select the word, and then press F1.
  • If you are viewing content from the Web in the Topic pane, you can click Stop or Refresh on the Options menu to interrupt a download or refresh a Web page.
  • If you use a particular help topic often, you can add it to your favorites list.
  • Right-click the Contents tab or Topic pane for shortcut menu commands.


To find a help topic

In the Navigation pane, click one of the following tabs:

  • To browse through a table of contents, click the Contents tab. The table of contents is an expandable list of important topics.
  • To see a list of index entries, click the Index tab, and then type a word or scroll through the list. Topics are often indexed under more than one entry.
  • To locate every occurrence of a word or phrase that may be contained in a help file, click the Search tab, and then type the word.

Note

  • Click the contents entry, index entry, or search results entry to display the corresponding topic.


To create a list of favorite help topics

  1. Locate the help topic you want to make a favorite topic.
  2. Click the Favorites tab, and then click Add.

Notes

  • To return to a favorite topic, click the Favorites tab, select the topic, and then click Display.
  • If you want to rename a topic, select the topic, and then type a new name in the Current topic box.
  • To remove a favorite topic, select the topic and then click Remove.


To copy a help topic

  1. In the Topic pane, right-click the topic you want to copy, and then click Select All.
  2. Right-click again, and then click Copy. This copies the topic to the Clipboard.
  3. Open the document you want to copy the topic to.
  4. Position your cursor where you want the information to appear.
  5. On the Edit menu, click Paste.

Note

  • If you want to copy only part of a topic, select the text you want to copy, right-click, and then click Copy.


To print the current help topic

Right-click a topic, and then click Print.

Note

  • If you print from the Contents tab (by right-clicking an entry, and then clicking Print) you will see options to print only the current topic, or the current topic and all subtopics.


To find topics using the toolbar buttons

There are five navigational buttons that can be located on the toolbar in the Help Viewer. You can click these buttons to find help topics:

  • Back displays the last topic you viewed.
  • Forward displays the next topic in a previously displayed sequence of topics.
  • Next displays the next topic listed in the table of contents.
  • Previous displays the previous topic listed in the table of contents.
  • Home displays the Home page topic for the help file you are viewing.
  • Refresh updates Web content that is currently displayed in the Topic pane.
  • Stop stops downloading file information. Click this button to stop a Web page from downloading.

Note

  • The toolbar in your Help Viewer may not contain all of these navigational buttons.


To hide or show the Navigation pane

On the toolbar, click Hide or Show to close or display the Navigation pane, which contains the Contents, Index, Search, and Favorites tabs.

Note

  • If you close the Help Viewer with the Navigation pane hidden, it will appear that way when you open the Help Viewer again.


Using accessibility shortcut keys in the Help Viewer

The following keyboard shortcuts can be used for navigation in the HTML Help Viewer. The help author who builds a compiled help (.chm) file can specify which buttons appear on the Help Viewer toolbar, so some of these options may not be available in your version of the viewer.

For more information about accessibility features and services, visit the Microsoft Accessibility and Disabilities Web site.

For the Help Viewer:

To | Press
Close the Help Viewer. | ALT+F4
Switch between the Help Viewer and other open windows. | ALT+TAB
Display the Options menu. | ALT+O
Change Microsoft Internet Explorer settings. The Internet Options dialog box contains accessibility settings. To change these settings click the General tab, and then click Accessibility. | ALT+O, and then press I
Hide or show the Navigation pane. | ALT+O, and then press T
Print a topic. | ALT+O, and then press P, or right-click in the
Move back to the previous topic. | ALT+LEFT ARROW, or ALT+O, and then press B
Move forward to the next topic (provided you have viewed it just previously). | ALT+RIGHT ARROW, or ALT+O, and then press F
Turn on or off search highlighting. | ALT+O, and then press O
Refresh the topic that appears in the Topic pane (this is useful if you have linked to a Web page). | F5, or ALT+O, and then press R
Return to the home page (help authors can specify a home page for a help system). | ALT+O, and then press H
Stop the viewer from opening a page (this is also useful if you are linking to the Web and want to stop a page from downloading). | ALT+O, and then press S
Jump to a predetermined topic or Web page. The help author who builds a compiled help (.chm) file can add two links, on the Options menu, to important topics or Web pages. When you select a Jump command you go to one of those topics or Web pages. | ALT+O, and then press 1 or 2
Switch between the Navigation pane and the Topic pane. | F6
Scroll through a topic. | UP ARROW and DOWN ARROW, or PAGE UP and PAGE DOWN
Scroll through all the links in a topic or through all the options on a Navigation pane tab. | TAB

For the Contents tab:

To | Press
Display the Contents tab. | ALT+C
Open and close a book or folder. | PLUS SIGN and MINUS SIGN, or LEFT ARROW and RIGHT ARROW
Select a topic. | DOWN ARROW and UP ARROW
Display the selected topic. | ENTER

For the Index tab:

To | Press
Display the Index tab. | ALT+N
Type a keyword to search for. | ALT+W, and then type the word
Select a keyword in the list. | UP ARROW and DOWN ARROW
Display the associated topic. | ALT+D

For the Search tab:

To | Press
Display the Search tab. | ALT+S
Type a keyword to search for. | ALT+W, and then type the word
Start a search. | ALT+L
Select a topic in the results list. | ALT+T, and then UP ARROW and DOWN ARROW
Display the selected topic. | ALT+D
The following options are only available if full-text search is enabled.
Search for a keyword in the result list of a prior search. | ALT+U
Search for words similar to the keyword. For example, to find words like "running" and "runs" for the keyword "run." | ALT+M
Only search through topic titles. | ALT+R

For the Favorites tab:

To | Press
Display the Favorites tab. | ALT+I
Add the currently displayed topic to the Favorites list. | ALT+A
Select a topic in the Favorites list. | ALT+P, and then UP ARROW and DOWN ARROW
Display the selected topic. | ALT+D
Remove the selected topic from the list. | ALT+R

Notes

  • There are also shortcut menu commands that can be accessed through the keyboard.
  • Shortcut keys also work in secondary and pop-up windows.
  • Every time you use a shortcut key in the Navigation pane, you lose focus in the Topic pane. To return to the Topic pane, press F6.
  • The Match similar words check box, on the Search tab, will be selected if you used it for your last search.


Using the shortcut menu commands

There are several commands on the shortcut menu that you can use to display and customize information.

Command | Description
Right-click in the table of contents, and then click Open All. | Opens all books or folders in the table of contents. This command only works if the Contents tab is displayed.
Right-click in the table of contents, and then click Close All. | Closes all books or folders. This command only works if the Contents tab is displayed.
Right-click, and then click Print. | Prints the topic.
Right-click in the table of contents, and then click Customize. | Opens the Customize Information Wizard, which allows you to customize the documentation. If the help file was built with information types, you can use this wizard to select a subset of topics to view. For example, you could choose to see only overview topics.

Note

  • These commands can be accessed through the keyboard. You can click SHIFT+F10 to display the shortcut menu, and then click the appropriate shortcut keys. Or, you can enable Mousekeys. Use a Mousekey combination to display the shortcut menu, and then click the appropriate shortcut keys.


About the Search tab

These topics describe the features available if you include a Search tab in your help design.

A compiled help file can include a Search tab that allows a user to search through every word in a help file to find a match. For example, if a user does a full-text search on the word "index," every topic that contains the word "index" will be listed.

Depending on how complex your help system is, the Search tab can contain either basic or advanced full-text search functionality. Advanced full-text search allows a user to search using boolean, wildcard, and nested expressions.

Note

  • To see an example of a basic search, click the Search tab in this file.To see an example of Advanced full-text search, click the Search tab in the help file for HTML Help Workshop.


To use full-text search

  1. Click the Search tab, and then type the word or phrase you want to find.
  2. Click List Topics, select the topic you want, and then click Display.


To highlight words in searched topics

When searching for words in help topics, you can have each occurrence of the word or phrase highlighted in the topics that are found.

To highlight all instances of a search word or phrase, click Options on the toolbar, and then click Search Highlight On.

Notes

  • To turn off this option, click Options on the toolbar, and then click Search Highlight Off.
  • If you are viewing a long topic, only the first 500 instances of a search word or phrase will be highlighted.


About advanced full-text search

Advanced full-text search allows a user to search using boolean, wildcard, and nested expressions. A user can also limit the search to previous results, match similar words, or search topic titles only. When advanced full-text search is enabled, the Search tab in the Help Viewer is enhanced.

This help file does not have advanced full-text search enabled because the help topics included in this file are relatively uncomplicated. To see an example of advanced full-text search in a more complex help file, open the the help for HTML Help Workshop, and then click the Search tab.


Searching for help topics

A basic search consists of the word or phrase you want to find. You can use wildcard expressions, nested expressions, boolean operators, similar word matches, a previous results list, or topic titles to further define your search.

The basic rules for formulating queries are as follows:

  • Searches are not case-sensitive, so you can type your search in uppercase or lowercase characters.
  • You may search for any combination of letters (a-z) and numbers (0-9).
  • Punctuation marks such as the period, colon, semicolon, comma, and hyphen are ignored during a search.
  • Group the elements of your search using double quotes or parentheses to set apart each element. You cannot search for quotation marks.

Note

  • If you are searching for a file name with an extension, you should group the entire string in double quotes, ("filename.ext"). Otherwise, the period will break the file name into two separate terms. The default operation between terms is AND, so you will create the logical equivalent to "filename AND ext."


To find information with advanced full-text search

  1. Click the Search tab, and then type the word or phrase you want to find.
  2. Click [image] to add boolean operators to your search.
  3. Click List Topics, select the topic you want, and then click Display.
  4. To sort the topic list, click the Title, Location, or Rank column heading.

Notes

  • You can precisely define a search by using wildcard expressions, nested expressions, and boolean operators.
  • You can request similar word matches, search only the topic titles, or search the results of a previous search.
  • You can set the Help Viewer to highlight all instances of search terms that are found in topic files. Click the Options button, and then click Search Highlight On. This feature only works with Internet Explorer 4.0 or later.


Searching for words or phrases

You can search for words or phrases and use wildcard expressions. Wildcard expressions allow you to search for one or more characters using a question mark or asterisk. The table below describes the results of these different kinds of searches.

Search for

Example

Results

A single word

select

Topics that contain the word "select." (You will also find its grammatical variations, such as "selector" and "selection.")

A phrase

"new operator"
or
new operator

Topics that contain the literal phrase "new operator" and all its grammatical variations.

Without the quotation marks, the query is equivalent to specifying "new AND operator," which will find topics containing both of the individual words, instead of the phrase.

Wildcard expressions

esc*
or
80?86

Topics that contain the terms "ESC," "escape," "escalation," and so on. The asterisk cannot be the only character in the term.

Topics that contain the terms "80186," "80286," "80386," and so on. The question mark cannot be the only character in the term.

Note

  • Select the Match similar words check box to include minor grammatical variations for the phrase you search.


Defining search terms

The AND, OR, NOT, and NEAR operators enable you to precisely define your search by creating a relationship between search terms. The following table shows how you can use each of these operators. If no operator is specified, AND is used. For example, the query "spacing border printing" is equivalent to "spacing AND border AND printing."

Search for | Example | Results
Both terms in the same topic. | dib AND palette | Topics containing both the words "dib" and "palette."
Either term in a topic. | raster OR vector | Topics containing either the word "raster" or the word "vector" or both.
The first term without the second term. | ole NOT dde | Topics containing the word "OLE," but not the word "DDE."
Both terms in the same topic, close together. | user NEAR kernel | Topics containing the word "user" within eight words of the word "kernel."

Note

  • The |, &, and ! characters don't work as boolean operators (you must use OR, AND, and NOT).


Using nested expressions when searching

Nested expressions allow you to create complex searches for information. For example, "control AND ((active OR dde) NEAR window)" finds topics containing the word "control" along with the words "active" and "window" close together, or containing "control" along with the words "dde" and "window" close together.

The basic rules for searching help topics using nested expressions are as follows:

  • You can use parentheses to nest expressions within a query. The expressions in parentheses are evaluated before the rest of the query.
  • If a query does not contain a nested expression, it is evaluated from left to right. For example: "Control NOT active OR dde" finds topics containing the word "control" without the word "active," or topics containing the word "dde." On the other hand, "control NOT (active OR dde)" finds topics containing the word "control" without either of the words "active" or "dde."
  • You cannot nest expressions more than five levels deep.


To search for words in the titles of HTML files

  1. Click the Search tab, type the word or phrase you want to find, and then select the Search titles only check box.
  2. Click List Topics, select the topic you want, and then click Display.

Note

  • If you use this option, all HTML topic files will be searched, including any that are not listed in the table of contents.


To find words similar to your search term

This feature enables you to include minor grammatical variations for the phrase you search. For example, a search on the word "add" will find "add," "adds," and "added."

  1. Click the Search tab, type the word or phrase you want to find, and then select the Match similar words check box.
  2. Click List Topics, select the topic you want, and then click Display.

Note

  • This feature only locates variations of the word with common suffixes. For example, a search on the word "add" will find "added," but it will not find "additive."


To search only the last group of topics you searched

This feature enables you to narrow a search that results in too many topics found. You can search through your results list from previous search by using this option.

  1. On the Search tab, select the Search previous results check box.
  2. Click List Topics, select the topic you want, and then click Display.

Notes

  • If you want to search through all of the files in a help system, this check box must be cleared.
  • The Search tab will open with this check box selected if you previously used this feature.


About changing the Help Viewer

Users can make a variety of changes to the Help Viewer. These related topics describe settings the user can specify.


To customize the Help Viewer

There are a few ways to easily change the size and position of the Help Viewer and the panes in the viewer:

• To resize the Navigation or Topic pane, point to the divider between the two panes. When the pointer changes to a double-headed arrow, drag the divider right or left.

• To proportionately shrink or enlarge the whole Help Viewer, point to any corner of the Help Viewer. When the pointer changes to a double-headed arrow, drag the corner.

• To change the height or width of the Help Viewer, point to the top, bottom, left, or right edge of the Help Viewer. When the pointer changes to a double-headed arrow, drag the edge.

• To reposition the Help Viewer on your screen, click the title bar and drag the Viewer to a new position.

Note

The Help Viewer will appear with the last size and position settings you specified when it is opened again.


To change formatting or styles for accessibility

  1. On the Options menu, click Internet Options, and then click Accessibility.
  2. In the Accessibility dialog box, select the options you want, and then click OK.

Notes

  • These changes do not apply to the Navigation pane or toolbar of the Help Viewer.
  • This will also change your accessibility settings for Internet Explorer 4.0.


To view help topics grouped by information type

You can customize your help system so that it includes only those help topics that are relevant to you.

Suppose for example, that you have a help system for an educational software program that includes topics aimed at administrators, teachers, and students. You can customize your help so that it includes only the topics that are important to teachers and students.

On the toolbar, click Options, and then click Customize.


To change the font size of a topic

On the Options menu, click Internet Options, and then click Fonts.

Notes

  • These changes do not apply to the Navigation pane or toolbar of the Help Viewer.
  • This will also change your font settings for Internet Explorer.


To change colors in the Topic pane of the Help Viewer

  1. In Microsoft Internet Explorer 4.0, on the View menu, click Internet Options.
  2. On the General tab, click Colors.
  3. In the Colors dialog box, select the options you want, and then click OK.
  4. To apply the new color settings, in the Internet Options dialog box, click OK.

Notes

  • These changes do not apply to the Navigation pane or toolbar of the Help Viewer.
  • This will also change your color settings for Internet Explorer 4.0.


To decompile a help file

  1. Open HTML Help Workshop, click the File menu, and then click Decompile.
  2. In the Destination folder box, enter the name of the folder where you want the decompiled files to be copied.
  3. In the Compiled help project file box, enter the name of the compiled help (.chm) file you want to decompile.

Notes

  • This procedure is useful for extracting individual HTML source files from a compiled help file. It is also useful if you want to use the source files in a browser that does not support compiled help files.
  • The decompile option is part of the HTML Help executable program (Hh.exe) and is therefore also a client-side command line switch that works when HTML Help Workshop is not set up. From a DOS prompt or from the Run command, type -decompile folder chm, where -decompile is the switch, folder is the name of the destination folder where you want the source files to be copied, and chm is the name of the compiled help file you want to decompile.


About the HTML Help Viewer topics

This help file contains topics that explain how to use the HTML Help Viewer. If you are a help author, you can include these topics in your help file. All you need to do is decompile this file to get the HTML source files you want to use. You can also reuse the index (.hhk) file by modifying it to include the entries for whatever topics you include.

Our goal in creating these topics was to describe all the features that are available in the Help Viewer. However, most help authors will customize the viewer to suit their design needs and will want to use only those topics that apply. If, for example, you do not use the advanced full-text search features of the Help Viewer in your Help design, you can ignore those topics.

These topics are organized into three main topic areas: general topics about using the Help Viewer, topics about using search functionality, and topics on changing the appearance of the Help Viewer. We've also included Related Topics links at the end of each file. You may need to modify or update these to correspond with your help design.


To turn on MouseKeys

  1. to open the Accessibility Properties dialog box.
  2. Click the Mouse tab.
  3. Select the Use MouseKeys check box.

Note

  • You can also open the Accessibility Properties dialog box by clicking Start, pointing to Settings, clicking Control Panel, and then double-clicking Accessibility Options.


Welcome to Ensemble

Ansoft Designer Documentation

Welcome!

This manual is a tutorial guide for setting up a problem using Ensemble, a software package for designing and modeling transformers and inductors.


The HTML Help Viewer

This is a help file as it appears in the HTML Help Viewer.

Return to Using the HTML Help Viewer